Bug 831413 - libmnl-devel multilib conflict
libmnl-devel multilib conflict
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libmnl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hushan Jia
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 19:23 EDT by Philippe Troin
Modified: 2012-08-28 12:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 17:06:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2012-06-12 19:23:29 EDT
# yum install -y libmnl-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package libmnl-devel-1.0.2-1.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package libmnl-devel.i686 0:1.0.2-1.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch         Version                 Repository      Size
================================================================================
Installing:
 libmnl-devel         i686         1.0.2-1.fc17            fedora          32 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 32 k
Installed size: 149 k
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/doc/libmnl-devel-1.0.2/examples/Makefile from install of libmnl-devel-1.0.2-1.fc17.i686 conflicts with file from package libmnl-devel-1.0.2-1.fc17.x86_64
  file /usr/share/doc/libmnl-devel-1.0.2/examples/genl/Makefile from install of libmnl-devel-1.0.2-1.fc17.i686 conflicts with file from package libmnl-devel-1.0.2-1.fc17.x86_64
  file /usr/share/doc/libmnl-devel-1.0.2/examples/netfilter/Makefile from install of libmnl-devel-1.0.2-1.fc17.i686 conflicts with file from package libmnl-devel-1.0.2-1.fc17.x86_64
  file /usr/share/doc/libmnl-devel-1.0.2/examples/rtnl/Makefile from install of libmnl-devel-1.0.2-1.fc17.i686 conflicts with file from package libmnl-devel-1.0.2-1.fc17.x86_64

Error Summary
-------------

[2]    12439 exit 1     noglob yum install -y libmnl-devel
Comment 1 Hushan Jia 2012-06-13 07:47:32 EDT
need seperate the %doc for each arch.
Thanks Philippe for reporting!
Comment 2 Fedora Update System 2012-08-13 09:32:44 EDT
libmnl-1.0.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.fc17
Comment 3 Fedora Update System 2012-08-13 09:34:21 EDT
libmnl-1.0.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.fc16
Comment 4 Fedora Update System 2012-08-13 09:37:10 EDT
libmnl-1.0.3-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.el6
Comment 5 Fedora Update System 2012-08-13 09:38:20 EDT
libmnl-1.0.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libmnl-1.0.3-4.el5
Comment 6 Fedora Update System 2012-08-13 13:27:59 EDT
Package libmnl-1.0.3-4.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libmnl-1.0.3-4.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6700/libmnl-1.0.3-4.el5
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-22 17:06:31 EDT
libmnl-1.0.3-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-22 17:09:37 EDT
libmnl-1.0.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-28 12:56:10 EDT
libmnl-1.0.3-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-08-28 12:58:05 EDT
libmnl-1.0.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.